com.smartgwt.client.widgets.grid.events

## Class CellClickEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<H>
      - - com.smartgwt.client.widgets.events.BrowserEvent<H>
        - - com.smartgwt.client.widgets.grid.events.GridRowColEvent<CellClickHandler>
          - - com.smartgwt.client.widgets.grid.events.CellClickEvent

- All Implemented Interfaces:
    Cancellable

      public class CellClickEvent
      extends GridRowColEvent<CellClickHandler>
      implements Cancellable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellClickEvent(JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Calling this method cancels the event
    `protected void` | `dispatch(CellClickHandler handler)`
    `static <S extends HasCellClickHandlers & HasHandlers> void` | `fire(S source, JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `GwtEvent.Type<CellClickHandler>` | `getAssociatedType()`
    `static GwtEvent.Type<CellClickHandler>` | `getType()` Gets the type associated with this event.
    `boolean` | `isCancelled()`

    - ### Methods inherited from class com.smartgwt.client.widgets.grid.events.GridRowColEvent

      `getColNum, getRecord, getRowNum`

    - ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

      `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CellClickEvent

          public CellClickEvent(JavaScriptObject jsObj)

  - ### Method Detail

    - #### fire

          public static <S extends HasCellClickHandlers & HasHandlers> void fire(S source,
                                                                JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static GwtEvent.Type<CellClickHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(CellClickHandler handler)

      Specified by:
        `dispatch` in class `GwtEvent<CellClickHandler>`

    - #### getAssociatedType

          public final GwtEvent.Type<CellClickHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `GwtEvent<CellClickHandler>`

    - #### cancel

          public void cancel()

      Calling this method cancels the event
      Specified by:
        `cancel` in interface `Cancellable`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Cancellable`
      Returns:
        true if cancelled